# ----------------
# TELDIR make file
# ----------------

CC         = icc /Ti+ /c /Q+ /Gn- /Gd- /Se /Re /ss+ /Gm-
LFLAGS     = /CODEVIEW /NOE /ALIGN:16 /EXEPACK /M /BASE:0x10000
LINK       = LINK386  $(LFLAGS)
LIBS       = OS2386 + PMBIDI

#-------------------------------------------------------------------
#   A list of all of the object files
#-------------------------------------------------------------------

all: teldir.exe


teldir.l: teldir.mak
    echo teldir.obj            > teldir.l
    echo teldir.exe           >> teldir.l
    echo teldir.map           >> teldir.l
    echo $(LIBS)              >> teldir.l
    echo teldir.def           >> teldir.l

teldir.obj: teldir.c

TELDIR.RES : TELDIR.RC TELDIR.H
    rc -r TELDIR.RC

teldir.exe: teldir.obj teldir.l teldir.def teldir.res teldir.h
    $(LINK) @teldir.l
   rc teldir.res
