/* --------------------------- */
/*    teldir - header file     */
/* --------------------------- */

/* Identifiers Predeclarations  */

#define DID_OK              1
#define DID_CANCEL          2
#define ID_ABOUT            3
#define MAX_NAMES           100            /* maximum number of entries in */
                                           /* the telephone directory      */
#define IDM_ORGMENU         9000
#define IDM_FILE            9001
#define IDM_VIEW            9002
#define IDM_HELP            9003
#define IDM_SAVE            9006
#define IDM_QUIT            9007
#define IDM_ABOUT           9008
#define IDM_ASCENDING       9009
#define IDM_DESCENDING      9010
#define IDM_OK              9011
#define IDM_HEB             9012
#define IDM_ENG             9013
#define IDM_ENGLISHMENU     9014
#define IDM_LANG            9015

#define ID_NAMES_LIST       2000
#define ID_1                2001
#define ID_CHOICES          2002
#define ID_2                2003
#define ID_DELETE           2004
#define ID_UPDATE           2005
#define ID_SEARCH           2006
#define ID_3                2007
#define ID_4                2008
#define ID_INPUT_NAME       2009
#define ID_TELEPHONE_NUMBER 2010
#define ID_ENTER            200

#define ID_TELDIR           2
#define ID_CLOCK            3
#define ID_TIMER            100


#define ID_TITLE_H          500
#define ID_NAMES_H          501
#define ID_ADD_H            502
#define ID_REMOVE_H         503
#define ID_MODIFY_H         504
#define ID_FIND_H           505
#define ID_CHOICE_H         506
#define ID_ENTERNAME_H      507
#define ID_TELNUMBER_H      508
#define ID_DO_H             509
#define ID_SAVEFILE_H       510
#define ID_EXIT_H           511
#define ID_USES_H           512
#define ID_ERROR_H          513
#define ID_HELP_H           514
#define ID_ERRINADD_H       515
#define ID_ERRINMODIFY_H    516
#define ID_ERRINSEARCH_H    517
#define ID_ERRINREMOVE_H    518
#define ID_INFORMATION_H    519

#define ID_TITLE            520
#define ID_NAMES            521
#define ID_ADD              522
#define ID_REMOVE           523
#define ID_MODIFY           524
#define ID_FIND             525
#define ID_CHOICE           526
#define ID_ENTERNAME        527
#define ID_TELNUMBER        528
#define ID_DO               529
#define ID_SAVEFILE         530
#define ID_EXIT             531
#define ID_USES             532
#define ID_ERROR            533
#define ID_HELP             534
#define ID_ERRINADD         535
#define ID_ERRINMODIFY      536
#define ID_ERRINSEARCH      537
#define ID_ERRINREMOVE      538
#define ID_INFORMATION      539

/* Function Pre declarations  */

int  main(VOID);
MRESULT EXPENTRY WinProc1(HWND hwnd,ULONG msg,MPARAM mp1,MPARAM mp2);
VOID MessageBox(USHORT sMsg, USHORT sTitle);
VOID Button_Handling(VOID);
VOID SaveData(VOID);
VOID LoadFile(VOID);
VOID ChangeLayer(VOID);
VOID Heb_Interface(VOID);
VOID Eng_Interface(VOID);
PCHAR Message(USHORT);
VOID ConvertBidiString (PUCHAR, PUCHAR, ULONG, ULONG, ULONG);
VOID DisplayTitle(USHORT);

/* type definitions */

typedef struct     {
     char Name[100];
     char Number[10];
   } TELLIST;

typedef TELLIST *PTELLIST;

